KNS::Button Class Reference

`#include <knewstuffbutton.h>`

Inherits KPushButton.

## Signals

void | aboutToShowDialog ()
void | dialogFinished ()

## Public Member Functions

| Button (const QString &what, const QString &providerList, const QString &resourceType, QWidget *parent, const char *name)
| Button (QWidget *parent, const char *name)
void | setProviderList (const QString &providerList)
void | setResourceType (const QString &resourceType)
void | setButtonText (const QString &what)

## Protected Slots

void | showDialog ()

## Detailed Description

KHotNewStuff push button that makes using KHNS in an application more convenient by encapsulating most of the details involved in using KHotNewStuff in the button itself.

Since
  3.4

Definition at line 37 of file knewstuffbutton.h.

## Constructor & Destructor Documentation

KNS::Button::Button | ( | const QString & | what,
|  | const QString & | providerList,
|  | const QString & | resourceType,
|  | QWidget * | parent,
|  | const char * | name
| ) |  |

Constructor used when the details of the KHotNewStuff download is known when the button is created.

Parameters

  what | text describing what is being downloaded. will be shown on the button as "Download New <what>"
  providerList | the URL to the list of providers; if empty we first try the ProvidersUrl from KGlobal::config, then we fall back to a hardcoded value
  resourceType | the Hotstuff data type for this downlaod such as "korganizer/calendar"
  parent | the parent widget
  name | the name to be used for this widget

Definition at line 30 of file knewstuffbutton.cpp.

KNS::Button::Button | ( | QWidget * | parent,
|  | const char * | name
| ) |  |

Constructor used when the details of the KHotNewStuff download is not known in advance of the button being created.

Parameters

  parent | the parent widget
  name | the name to be used for this widget

Definition at line 44 of file knewstuffbutton.cpp.

## Member Function Documentation

void KNS::Button::aboutToShowDialog | ( |  | ) |

signal

emitted when the Hot New Stuff dialog is about to be shown, usually as a result of the user having click on the button

void KNS::Button::dialogFinished | ( |  | ) |

signal

emitted when the Hot New Stuff dialog has been closed

void KNS::Button::setButtonText | ( | const QString & | what | ) |

set the text that should appear on the button.

will be prefaced with i18n("Download New")

Definition at line 59 of file knewstuffbutton.cpp.

void KNS::Button::setProviderList | ( | const QString & | providerList | ) |

set the URL to the list of providers for this button to use

Definition at line 64 of file knewstuffbutton.cpp.

void KNS::Button::setResourceType | ( | const QString & | resourceType | ) |

the Hotstuff data type for this downlaod such as "korganizer/calendar"

Definition at line 69 of file knewstuffbutton.cpp.

The documentation for this class was generated from the following files:

- knewstuffbutton.h
- knewstuffbutton.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys